Index: src/main/java/com/example/moviezone/repository/ProjectionIsPlayedInRoomRepository.java
===================================================================
--- src/main/java/com/example/moviezone/repository/ProjectionIsPlayedInRoomRepository.java	(revision fdc651c3b08ccf0c24f6d0d115b26594a1fc0b50)
+++ src/main/java/com/example/moviezone/repository/ProjectionIsPlayedInRoomRepository.java	(revision 9eba1fbdf0e1d5b9ce34580c6694bb9d40b465f6)
@@ -5,4 +5,7 @@
 import org.springframework.data.jpa.repository.JpaRepository;
 
+import java.util.List;
+
 public interface ProjectionIsPlayedInRoomRepository extends JpaRepository<ProjectionIsPlayedInRoom, ProjectionIsPlayedInRoomId> {
+    List<ProjectionIsPlayedInRoom> findAllById_projection(Integer id_projection);
 }
Index: src/main/java/com/example/moviezone/service/Impl/ProjectionIsPlayedInRoomServiceImpl.java
===================================================================
--- src/main/java/com/example/moviezone/service/Impl/ProjectionIsPlayedInRoomServiceImpl.java	(revision 9eba1fbdf0e1d5b9ce34580c6694bb9d40b465f6)
+++ src/main/java/com/example/moviezone/service/Impl/ProjectionIsPlayedInRoomServiceImpl.java	(revision 9eba1fbdf0e1d5b9ce34580c6694bb9d40b465f6)
@@ -0,0 +1,15 @@
+package com.example.moviezone.service.Impl;
+
+import com.example.moviezone.repository.ProjectionIsPlayedInRoomRepository;
+import com.example.moviezone.service.ProjectionIsPlayedInRoomService;
+import org.springframework.stereotype.Service;
+
+@Service
+public class ProjectionIsPlayedInRoomServiceImpl implements ProjectionIsPlayedInRoomService {
+    private final ProjectionIsPlayedInRoomRepository projectionIsPlayedInRoomRepository;
+
+    public ProjectionIsPlayedInRoomServiceImpl(ProjectionIsPlayedInRoomRepository projectionIsPlayedInRoomRepository) {
+        this.projectionIsPlayedInRoomRepository = projectionIsPlayedInRoomRepository;
+    }
+
+}
Index: src/main/java/com/example/moviezone/service/Impl/ProjectionServiceImpl.java
===================================================================
--- src/main/java/com/example/moviezone/service/Impl/ProjectionServiceImpl.java	(revision fdc651c3b08ccf0c24f6d0d115b26594a1fc0b50)
+++ src/main/java/com/example/moviezone/service/Impl/ProjectionServiceImpl.java	(revision 9eba1fbdf0e1d5b9ce34580c6694bb9d40b465f6)
@@ -25,4 +25,9 @@
     }
 
+    @Override
+    public Projection findById(Integer id_projection) {
+        return projectionRepository.findById(id_projection).orElseThrow(RuntimeException::new);
+    }
+
 
     @Override
Index: src/main/java/com/example/moviezone/service/ProjectionIsPlayedInRoomService.java
===================================================================
--- src/main/java/com/example/moviezone/service/ProjectionIsPlayedInRoomService.java	(revision 9eba1fbdf0e1d5b9ce34580c6694bb9d40b465f6)
+++ src/main/java/com/example/moviezone/service/ProjectionIsPlayedInRoomService.java	(revision 9eba1fbdf0e1d5b9ce34580c6694bb9d40b465f6)
@@ -0,0 +1,6 @@
+package com.example.moviezone.service;
+
+public interface ProjectionIsPlayedInRoomService {
+
+
+}
Index: src/main/java/com/example/moviezone/service/ProjectionService.java
===================================================================
--- src/main/java/com/example/moviezone/service/ProjectionService.java	(revision fdc651c3b08ccf0c24f6d0d115b26594a1fc0b50)
+++ src/main/java/com/example/moviezone/service/ProjectionService.java	(revision 9eba1fbdf0e1d5b9ce34580c6694bb9d40b465f6)
@@ -9,4 +9,5 @@
 public interface ProjectionService {
     List<Projection> findAllProjections();
+    Projection findById(Integer id_projection);
 Projection save(LocalDate date_time_start,LocalDate date_time_end, String type_of_technology, Integer id_film );
 }
Index: src/main/java/com/example/moviezone/web/HomeController.java
===================================================================
--- src/main/java/com/example/moviezone/web/HomeController.java	(revision fdc651c3b08ccf0c24f6d0d115b26594a1fc0b50)
+++ src/main/java/com/example/moviezone/web/HomeController.java	(revision 9eba1fbdf0e1d5b9ce34580c6694bb9d40b465f6)
@@ -4,4 +4,6 @@
 import com.example.moviezone.model.*;
 import com.example.moviezone.model.exceptions.PasswordsDoNotMatchException;
+import com.example.moviezone.model.manytomany.ProjectionIsPlayedInRoom;
+import com.example.moviezone.repository.ProjectionIsPlayedInRoomRepository;
 import com.example.moviezone.service.*;
 import org.springframework.format.annotation.DateTimeFormat;
@@ -29,6 +31,7 @@
 private final CinemaOrganizesEventService cinemaOrganizesEventService;
 private final CinemaPlaysFilmService cinemaPlaysFilmService;
-
-    public HomeController(FilmService filmService, UserService userService, ProjectionService projectionService, EventService eventService, TicketService ticketService, WorkerService workerService, CustomerRatesFilmService customerRatesFilmService, CinemaService cinemaService, CinemaOrganizesEventService cinemaOrganizesEventService, CinemaPlaysFilmService cinemaPlaysFilmService) {
+private final ProjectionIsPlayedInRoomRepository projectionIsPlayedInRoomRepository;
+
+    public HomeController(FilmService filmService, UserService userService, ProjectionService projectionService, EventService eventService, TicketService ticketService, WorkerService workerService, CustomerRatesFilmService customerRatesFilmService, CinemaService cinemaService, CinemaOrganizesEventService cinemaOrganizesEventService, CinemaPlaysFilmService cinemaPlaysFilmService, ProjectionIsPlayedInRoomRepository projectionIsPlayedInRoomRepository) {
         this.filmService = filmService;
         this.userService = userService;
@@ -41,4 +44,5 @@
         this.cinemaOrganizesEventService = cinemaOrganizesEventService;
         this.cinemaPlaysFilmService = cinemaPlaysFilmService;
+        this.projectionIsPlayedInRoomRepository = projectionIsPlayedInRoomRepository;
     }
 
@@ -247,3 +251,25 @@
         return "redirect:/home";
     }
+
+    @GetMapping("/getProjection/{id}")
+    public String getProjection(@PathVariable Integer id_projection,Model model)
+    {
+        List<Projection_Room> projectionRooms = null;
+        Projection projection=projectionService.findById(id_projection);
+
+
+        List<ProjectionIsPlayedInRoom> p= projectionIsPlayedInRoomRepository.findAllById_projection(id_projection);
+
+        model.addAttribute("projection",projection);
+        model.addAttribute("p_rooms",projectionRooms);
+        model.addAttribute("bodyContent","projectionDetails");
+        return "master-template";
+    }
+
+    @PostMapping("/makeReservation")
+    public String createTicketForReservation()
+    {
+        return "redirect:/myTickets";
+    }
+
 }
